Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.core
Class ALauncher

    java.lang.Object
      org.basex.core.ALauncher

Direct Known Subclasses:
  ClientLauncher, ClientLauncherNew, Launcher

    public abstract class ALauncher

extends java.lang.Object

This class allows a generic process execution. It is implemented both by the local as well as the client/server model.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Constructor Summary
`ALauncher()`

Method Summary
`abstract boolean` | `execute(Process pr)` Executes a process.
`abstract void` | `info(PrintOutput out)` Returns process info.
`abstract void` | `output(PrintOutput out)` Serializes the textual results of a command.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ALauncher

    public ALauncher()

Method Detail

### execute

    public abstract boolean execute(Process pr)
                             throws java.io.IOException

  Executes a process.

  Parameters:
    `pr` - process to be executed
  Returns:
    success of operation
  Throws:
    `java.io.IOException` - I/O exception

### output

    public abstract void output(PrintOutput out)
                         throws java.io.IOException

  Serializes the textual results of a command.

  Parameters:
    `out` - output stream
  Throws:
    `java.io.IOException` - I/O exception

### info

    public abstract void info(PrintOutput out)
                       throws java.io.IOException

  Returns process info.

  Parameters:
    `out` - output stream
  Throws:
    `java.io.IOException` - I/O exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD